Public Member Functions | Package Functions

# BinNavi.API.plugins.IModuleMenuPlugin Interface Reference

Used to extend module context menus in the project tree. More...

Inheritance diagram for BinNavi.API.plugins.IModuleMenuPlugin:

List of all members.

## Public Member Functions
long | getGuid ()
| The GUID of the plugin.
String | getName ()
| The name of the plugin.
void | init (PluginInterface pluginInterface)
| Initializes the plugin.
void | unload ()
| Unloads the plugin.
## Package Functions
List< JComponent > | extendModuleMenu (List< Module > modules)
| Extends the module context menu.
String | getDescription ()
| The description of the plugin.

## Detailed Description

This interface can be implemented by plugins that want to extend the popup menu that is shown when the user right-clicks on a module node in the project tree or on a table that is used to display information about modules.

## Member Function Documentation

List<JComponent> BinNavi.API.plugins.IModuleMenuPlugin.extendModuleMenu | ( | List< Module > | modules | ) | `[package]`

Returns a list of components that should be added to the context menu.

Parameters:

  | modules | The modules for which the context menu is created.

Returns:
  A list of components that are added to the context menu.

String BinNavi.API.plugins.IPlugin.getDescription | ( |  | ) | `[package, inherited]`

Returns a description of the plugin. This description is used in the plugin configuration dialog to let the user know what the plugin does.

Returns:
  The description of the plugin.

long BinNavi.API.plugins.IPlugin.getGuid | ( |  | ) | `[inherited]`

Returns a unique GUID that identifies the plugin. Plugins with duplicate GUIDs will not be loaded.

Returns:
  The GUID that identifies the plugin.

String BinNavi.API.plugins.IPlugin.getName | ( |  | ) | `[inherited]`

Returns the name of the plugin. This name is used in the plugin configuration dialog to let the user select what plugin to configure.

Note that plugins that return null from this function will not be loaded.

Returns:
  The name of the plugin.

void BinNavi.API.plugins.IPlugin.init | ( | PluginInterface | pluginInterface | ) | `[inherited]`

The plugin manager calls this function for each plugin right after loading a plugin for the first time.

Note that this function should be used to initialize the plugin. Do not use the constructor of the plugin to initialize plugin.

Further note that all plugins must have a standard constructor that does not take any arguments. Only this constructor is used to load a plugin.

Parameters:

  | pluginInterface | The plugin interface that gives a plugin access to BinNavi.

void BinNavi.API.plugins.IPlugin.unload | ( |  | ) | `[inherited]`

This function is called when the plugin is unloaded. Plugins that actively changed the appearance of BinNavi (for example by adding menus or showing dialogs) must remove all changes in this function.